Irrlicht Engine: irr::scene::IParticleCylinderEmitter Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IParticleCylinderEmitter Class Reference

A particle emitter which emits from a cylindrically shaped space. More...

`#include <IParticleCylinderEmitter.h>`

Inheritance diagram for irr::scene::IParticleCylinderEmitter:

List of all members.

## Public Member Functions
virtual const core::vector3df & | getCenter () const =0
| Get the center of the cylinder.
virtual f32 | getLength () const =0
| Get the center of the cylinder.
virtual const core::vector3df & | getNormal () const =0
| Get the normal of the cylinder.
virtual bool | getOutlineOnly () const =0
| Get whether or not to draw points inside the cylinder.
virtual f32 | getRadius () const =0
| Get the radius of the cylinder.
virtual E_PARTICLE_EMITTER_TYPE | getType () const
| Get emitter type.
virtual void | setCenter (const core::vector3df &center)=0
| Set the center of the radius for the cylinder, at one end of the cylinder.
virtual void | setLength (f32 length)=0
| Set the length of the cylinder.
virtual void | setNormal (const core::vector3df &normal)=0
| Set the normal of the cylinder.
virtual void | setOutlineOnly (bool outlineOnly=true)=0
| Set whether or not to draw points inside the cylinder.
virtual void | setRadius (f32 radius)=0
| Set the radius of the cylinder.

## Detailed Description

A particle emitter which emits from a cylindrically shaped space.

Definition at line 16 of file IParticleCylinderEmitter.h.

## Member Function Documentation

virtual const core::vector3df& irr::scene::IParticleCylinderEmitter::getCenter | ( |  | ) | const`[pure virtual]`

Get the center of the cylinder.

virtual f32 irr::scene::IParticleCylinderEmitter::getLength | ( |  | ) | const`[pure virtual]`

Get the center of the cylinder.

virtual const core::vector3df& irr::scene::IParticleCylinderEmitter::getNormal | ( |  | ) | const`[pure virtual]`

Get the normal of the cylinder.

virtual bool irr::scene::IParticleCylinderEmitter::getOutlineOnly | ( |  | ) | const`[pure virtual]`

Get whether or not to draw points inside the cylinder.

virtual f32 irr::scene::IParticleCylinderEmitter::getRadius | ( |  | ) | const`[pure virtual]`

Get the radius of the cylinder.

virtual E_PARTICLE_EMITTER_TYPE irr::scene::IParticleCylinderEmitter::getType | ( |  | ) | const`[inline, virtual]`

Get emitter type.

Reimplemented from irr::scene::IParticleEmitter.

Definition at line 51 of file IParticleCylinderEmitter.h.

References irr::scene::EPET_CYLINDER.

virtual void irr::scene::IParticleCylinderEmitter::setCenter | ( | const core::vector3df & | center | ) | `[pure virtual]`

Set the center of the radius for the cylinder, at one end of the cylinder.

virtual void irr::scene::IParticleCylinderEmitter::setLength | ( | f32 | length | ) | `[pure virtual]`

Set the length of the cylinder.

virtual void irr::scene::IParticleCylinderEmitter::setNormal | ( | const core::vector3df & | normal | ) | `[pure virtual]`

Set the normal of the cylinder.

virtual void irr::scene::IParticleCylinderEmitter::setOutlineOnly | ( | bool | outlineOnly = `true` | ) | `[pure virtual]`

Set whether or not to draw points inside the cylinder.

virtual void irr::scene::IParticleCylinderEmitter::setRadius | ( | f32 | radius | ) | `[pure virtual]`

Set the radius of the cylinder.

The documentation for this class was generated from the following file:

- IParticleCylinderEmitter.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:07 2010 by Doxygen (1.6.2)